# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_kt_start_seq_get - Start a sequential retrieval of key table entries.

krb5_error_code krb5_kt_start_seq_get(krb5_context context, krb5_keytab keytab, krb5_kt_cursor *cursor)

param:

  [in] context - Library context

  [in] keytab - Key table handle

  [out] cursor - Cursor

retval:

  - 0 Success

return:

  - Kerberos error codes

Prepare to read sequentially every key in the specified key table. Use krb5_kt_end_seq_get() to release the cursor when it is no longer needed.